org.gjt.sp.jedit.gui.statusbar

## Class SelectionLengthWidgetFactory.SelectionLengthWidget

- java.lang.Object
- - org.gjt.sp.jedit.gui.statusbar.SelectionLengthWidgetFactory.SelectionLengthWidget

All Implemented Interfaces:
  Widget

Enclosing class:
  SelectionLengthWidgetFactory

    public static class SelectionLengthWidgetFactory.SelectionLengthWidget
    extends java.lang.Object
    implements Widget

### Method Summary

Methods
`javax.swing.JComponent` `getComponent()` Returns the component that will be inserted in the status bar
`void` `handleViewUpdate(ViewUpdate viewUpdate)`
`void` `propertiesChanged()` a callback telling that the properties have been changed, the widget can update itself if needed
`void` `update()` A refresh is asked to the widget

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getComponent

    public javax.swing.JComponent getComponent()

Description copied from interface: `Widget`
Returns the component that will be inserted in the status bar

Specified by:
  `getComponent` in interface `Widget`
Returns:
  a JComponent

#### update

    public void update()

Description copied from interface: `Widget`
A refresh is asked to the widget

Specified by:
  `update` in interface `Widget`

#### propertiesChanged

    public void propertiesChanged()

Description copied from interface: `Widget`
a callback telling that the properties have been changed, the widget can update itself if needed

Specified by:
  `propertiesChanged` in interface `Widget`

#### handleViewUpdate

    public void handleViewUpdate(ViewUpdate viewUpdate)